'use strict';
// create redips container
let redips = {};
// redips initialization
redips.init = function () {
	// reference to the REDIPS.drag library and message line
	let	rd = REDIPS.drag;
	// how to display disabled elements
	rd.style.borderDisabled = 'solid';	// border style for disabled element will not be changed (default is dotted)
	rd.style.opacityDisabled = 60;		// disabled elements will have opacity effect
	// initialization
	rd.init();
	// only "smile" can be placed to the marked cell
	//rd.mark.exception.d8 = 'smile';
	// prepare handlers
	redips.targetTable = document.getElementById('table1');
};
// show prepared content for saving
redips.save = function (type) {
	// define tableContent variable
	let tableContent;
	// prepare table content of first table in JSON format or as plain query string (depends on value of "type" variable)
	tableContent = REDIPS.drag.saveContent('table1', type);
	// if content doesn't exist
	if (!tableContent) {
		alert('Nejsou k dispozici žádná data!');
	}
	// display query string
	else {
			localStorage.setItem("tabulex",tableContent);
			window.location.href="zavod.php";
	}
};
redips.button = function () {
	REDIPS.drag.clearTable(redips.targetTable);
	REDIPS.drag.loadContent(redips.targetTable, 'tabule.txt');
};

// add onload event listener
if (window.addEventListener) {
	window.addEventListener('load', redips.init, false);
}
else if (window.attachEvent) {
	window.attachEvent('onload', redips.init);
}