<!doctype html>
<?php session_start();
if (!isset($_SESSION['uzivatel']['heslo'])) { header("location:index.php"); exit; }
?>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="<?php echo file_get_contents('web.txt')?>">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="../favicon.ico">
<link rel="icon" type="image/x-icon" href="../favicon.ico">
<meta name="theme-color" content="#ffffff">
<meta name="color-scheme" content="dark light">

	<!-- css -->
<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/redips.css">
<link rel="stylesheet" href="css/bs-callouts.css">
<style>
table tbody td:hover {
  color: #3b3b3b;
  background-color: transparent;
}
</style>
	<!-- script -->
<script type="text/javascript" src="js/redips-drag-min.js"></script>
<script type="text/javascript" src="js/script.js"></script>
</head>

<body onload="redips.button()">

<div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
<div class="container-fluid">
<span class="navbar-brand"><a href="../" class="text-warning" target="_blank">REZERVACE</a></span>
<button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#reserve"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse" id="reserve">
<div class="navbar-nav">
<a href="prehled.php" class="nav-item nav-link active">Přehled</a>
<a href="data.php" class="nav-item nav-link">Přihlášky</a>
<a href="zavod.php" class="nav-item nav-link">Závod</a>
<a href="nastaveni.php" class="nav-item nav-link">Nastavení</a>
</div>
<div class="navbar-nav d-flex ms-auto">
<a href="odhlasit.php" class="nav-item nav-link">Odhlásit</a>
</div>
</div>
</div>
</nav>
</div>

	<!-- create table match -->
<?php
$sloupce=intval(file_get_contents('stanoviste.txt'));
echo ($sloupce < 10) ? '<div class="container">' : '<div class="container-fluid">';
?>
<div class="row">
<div class="col-lg-12 col-md-6 mb-3 mt-3">
<div class="fw-bold mb-2">Současný závod &raquo; <span style="color:#b22222"><?php echo (empty((file_get_contents('zavod.txt')))) ? 'Není vytvořen žádný závod' : file_get_contents('zavod.txt'); ?></span></div>

	<!-- tables inside this DIV could have draggable content -->
<div id="redips-drag">
<?php
	$radky = intval(file_get_contents('smeny.txt'));
	echo ($radky == 0) ? '<table id="table1" style="display:none">' . PHP_EOL : '<table id="table1">' . PHP_EOL;
	$sl = 0;
	$cas = file_get_contents('cas.txt');
	$delka = intval(file_get_contents('delka.txt')) * 60;
	$mark = ($sloupce < 10) ? $mark = 9 : $mark = 6;
	$colgroup = (100 - $mark)/$sloupce;
	echo '<tr><th class="redips-trash" width="'.$mark.'%">Smazat</th>';
	for ($xy = 1; $xy <= $sloupce; $xy++)
		{echo '<th class="redips-mark" width="'.$colgroup.'%"><h3>'.$xy.'</h3></th>';}
		echo '</tr>'.PHP_EOL;
		for ($x = 1; $x <= $radky; $x++)
			{if ($x % 2) {echo '<tr>'.PHP_EOL;}
			 else {echo '<tr>'.PHP_EOL;}
				if ($x == 1) {$cas1 = strtotime($cas);}
				else {$cas1 = $cas2;}
				$cas2 = $cas1 + $delka;
				echo '<th class="redips-mark rounds">Směna '.$x.' <small>'.date('G:i',$cas1).' - '.date('G:i',$cas2).'</small></th>'.PHP_EOL;
				for ($y = 1; $y <= $sloupce; $y++)
				{$sl += 1;
				echo '<td></td>'.PHP_EOL;}
				echo '</tr>'.PHP_EOL;}
?>
</table>

<div class="d-grid gap-3 d-sm-block text-center mt-4">
<button type="button" class="btn btn-sm btn-success" onclick="redips.save('json')"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>>Uložit provedené změny</button>
<button type="button" class="btn btn-sm btn-warning text-white" onclick="javascript:location.href='prezence.php'"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>>Prezenční listina</button>
<button type="button" class="btn btn-sm btn-warning text-white" onclick="javascript:location.href='divize.php'"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>>Přehled podle disciplín</button>
<button type="button" class="btn btn-sm btn-info text-white" onclick="javascript:location.href='pozice-a4.php'"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>>Startovní listina A4</button>
<button type="button" class="btn btn-sm btn-info text-white" onclick="javascript:location.href='pozice-a3.php'"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>>Startovní listina A3</button>
<button type="button" class="btn btn-sm btn-light border"<?php if (!file_exists('tabule.txt')) { echo ' disabled'; } ?>><table id="table2"><tr style="margin-bottom: 0;"><td style="padding: 0 !important; border: none;"><div id="d1" class="redips-clone redips-drag t1" style="cursor: move;">Volná - pozice [X]</div></td></tr></table></button>
</div>
</div>

</div>
</div>
</div>

<div class="container">
<div class="bd-callout m-lg-2">
  <strong><i class="fas fa-save"></i></strong>Zde se přihlášky umisťují dle zadaní závodníků. Po uložení se řadí ve smyslu startovního čísla od <b>1</b> do maxima <b>pozice × směna</b> pro tvorbu startovní listiny. K tomu je potřeba předtím vyplnit všechna neobsazená místa přetažením tlačítka <b>Volná - pozice [X]</b> a uložit provedené změny. Se soubory XLSX lze potom nakládat dle potřeby.
</div>

<div class="bd-callout-danger m-lg-2">
  <strong><i class="fas fa-exclamation-triangle"></i></strong>Změna pozice závodníka se provádí přetažením na jinou pozici myší a uložení změn. Smazání se provede přesunutím do pole <b>Smazat</b> a uložení změn. <b>Veškeré provedené změny po uložení jsou nevratné!</b>
</div>

<div class="bd-callout-warning m-lg-2">
  <strong><i class="fas fa-info-circle"></i></strong>Všechna data lze exportovat v předpřiravených souborech ve formátu XLSX. Prezenční listina, Přehled podle disciplín a Startovní listina s rozložením pozic a směn a startovních čísel.
</div>
</div>

	<!-- footer -->
<footer class="footer pt-3">
<div class="container">
<p class="text-center copyright"><span class="text-muted"><?php echo date("Y"); ?> | mickey & <a class="text-secondary" href="https://www.nway.cz/rezervace">strasidlo</a> | created for shooting</span></p>
</div>
</footer>

<form id="f1" method="post">
<input type="hidden" id="p1" name="p1" value="" action="">
</form>							

	<!-- scripts -->
<script>
	if (localStorage.getItem('tabulex')) {document.getElementById('p1').value =localStorage.getItem('tabulex');
	document.getElementById("f1").submit();}
	localStorage.removeItem('tabulex');
</script>
<?php
	if (isset($_POST["p1"])) {
	$fp = fopen('tabule.txt', 'w+');
	fwrite($fp, $_POST['p1']);
	fclose($fp);
	}
?>
<script src="js/bootstrap.min.js"></script>
</body>
</html>