<?php session_start();
if(!isset($_SESSION['uzivatel']['heslo'])) { header("location:index.php"); exit; }
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Color;

$locale = 'cs';
$validLocale = \PhpOffice\PhpSpreadsheet\Settings::setLocale($locale);
if (!$validLocale) {
    echo 'Unable to set locale to '.$locale." - reverting to en_us<br />\n";
}
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();
$sheet->setTitle('Prezenční listina závodníků');

$spreadsheet->getProperties()
    ->setCreator("mickey & strasidlo")
    ->setLastModifiedBy("mickey & strasidlo")
    ->setTitle("Prezenční listina závodníků")
    ->setSubject("Seznámení závodníků s provozním řádem")
    ->setDescription("This document generated using PHP classes.")
    ->setKeywords("Střelecká soutěž")
    ->setCategory("Soutěžní plán");

$spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_PORTRAIT);
$spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
$spreadsheet->getActiveSheet()->getPageSetup()->setHorizontalCentered(true);
$spreadsheet->getActiveSheet()->getPageSetup()->setVerticalCentered(false);
	
$spreadsheet->getActiveSheet()->getPageMargins()->setTop(0.65);
$spreadsheet->getActiveSheet()->getPageMargins()->setRight(0.35);
$spreadsheet->getActiveSheet()->getPageMargins()->setLeft(0.35);
$spreadsheet->getActiveSheet()->getPageMargins()->setBottom(0.65);

$spreadsheet->getActiveSheet()->getHeaderFooter()->setOddHeader('Prezenční listina - ' . file_get_contents('poradatel.txt') . '');
$spreadsheet->getActiveSheet()->getHeaderFooter()->setOddFooter('&CStrana &P z(ze) &N');
//$spreadsheet->getActiveSheet()->getHeaderFooter()->setOddFooter('&L&B' . $spreadsheet->getProperties()->getTitle() . '&RStrana &P z(ze) &N');
$spreadsheet->getActiveSheet()->getPageSetup()->setRowsToRepeatAtTopByStartAndEnd(3, 4);

$ohraniceni = array(
    'borders' => array(
        'allBorders' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
);

$cislo=4;
$radek=0;
$p = file_get_contents('tabule.txt');
$nazev = file_get_contents('zavod.txt');
//hlavička
$sheet->setCellValue("A1", $nazev);
$sheet->setCellValue("A3", "Závodník potvrzuje, že se seznámil s provozním řádem střelnice");
$sheet->setCellValue("A4","№");
$sheet->setCellValue("B4","Závodník");
$sheet->setCellValue("C4","ZP");
$sheet->setCellValue("D4","Klubová příslušnost");
$sheet->setCellValue("E4","Podpis");
$sheet->setCellValue("F4","Startovné");
$sheet->getStyle("A1:A4")->getFont()->setBold(true);
$sheet->getStyle("A1:F1")->getFont()->setSize(16);
$sheet->getStyle("B4:F4")->getFont()->setBold(true);
$sheet->mergeCells("A1:F1");
$sheet->mergeCells("A2:F2");
$sheet->mergeCells("A3:F3");
$sheet->getStyle("A1:F1")->getAlignment()->setHorizontal('center')->setVertical('center');
$sheet->getStyle("A2:F2")->getAlignment()->setHorizontal('center')->setVertical('center');
$sheet->getStyle("A3:F3")->getAlignment()->setHorizontal('center')->setVertical('center');
$sheet->getStyle("A4:F4")->applyFromArray($ohraniceni);
$sheet->getRowDimension("1")->setRowHeight(26, 'px');
$sheet->getRowDimension("2")->setRowHeight(20, 'px');
$sheet->getRowDimension("3")->setRowHeight(32, 'px');
$sheet->getRowDimension("4")->setRowHeight(32, 'px');
$sheet->getStyle('A4:F4')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFD9D9D9');
$sheet->getStyle("A")->getAlignment()->setHorizontal('center');
$sheet->getStyle("C")->getAlignment()->setHorizontal('center');
$sheet->getStyle("F")->getAlignment()->setHorizontal('center');
$sheet->getStyle("4")->getAlignment()->setVertical('center');
$sheet->getStyle('B'.$cislo)->getAlignment()->setIndent(1);
$sheet->getStyle('D'.$cislo)->getAlignment()->setIndent(1);
$sheet->getStyle('E'.$cislo)->getAlignment()->setIndent(1);
//konec hlavičky
$arr = json_decode($p);
	foreach ($arr as $p) {
	
	$radek+=1;
	$cislo++;
	$smena = $p[1];
	$pozice = $p[2];
	$uhradap = $p[3];
	$uhrada="";
	$klub="";
	if ($uhradap=="t2") {$uhrada=" — ";}
		else {$uhrada="100";}
		$jmenocele = substr($p[4],0,strpos($p[4],'-')-1);
		$krestni = substr($jmenocele,0,strpos($jmenocele,' '));
		$prijmeni = ltrim(str_replace($krestni,"",$jmenocele));
		$zbrana = substr($p[4],strpos($p[4],'['));
		$zbran = str_replace("]","",str_replace("[","",substr($p[4],strpos($p[4],'['))));
		$klub = rtrim(substr(str_replace($zbrana,"",$p[4]),strpos($p[4],'-')+2)," ");

		$sheet->setCellValue("A".$cislo,$radek);
		$sheet->getColumnDimension('A')->setWidth(26, 'px');
		$sheet->getStyle("A1:A".$cislo)->getFont()->setBold( true );
		$sheet->setCellValue("B".$cislo,$prijmeni." ".$krestni);
		$sheet->getColumnDimension('B')->setWidth(145, 'px');
		$sheet->getColumnDimension('C')->setWidth(26, 'px');
		$sheet->setCellValue("D".$cislo,$klub);
		$sheet->getColumnDimension('D')->setWidth(173, 'px');
		$sheet->getColumnDimension('E')->setWidth(215, 'px');
		$sheet->setCellValue("F".$cislo,$uhrada);
		$sheet->getColumnDimension('F')->setWidth(75, 'px');
		$sheet->getStyle('F')->getNumberFormat()->setFormatCode('_("$"* #,##0.00_);_("$"* \(#,##0.00\);_("$"* "-"??_);_(@_)');
		$sheet->getStyle('A'.$cislo.':F'.$cislo)->applyFromArray($ohraniceni);
		$sheet->getRowDimension($cislo)->setRowHeight(30, 'px');
		$sheet->getStyle($cislo)->getAlignment()->setVertical('center');
		$sheet->getStyle('B'.$cislo)->getAlignment()->setIndent(1);
		$sheet->getStyle('D'.$cislo)->getAlignment()->setIndent(1);
}

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="prezence.xlsx"');
header('Cache-Control: max-age=0');
ob_end_clean();
$writer = \PhpOffice\PhpSpreadsheet\IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('prezence.xlsx');
$writer->save('php://output');
exit();
?>